Assessments for a standard
curl --request GET \
--url https://api.learningcommons.org/knowledge-graph/v0/academic-standards/{caseIdentifierUUID}/assessments \
--header 'x-api-key: <api-key>'import requests
url = "https://api.learningcommons.org/knowledge-graph/v0/academic-standards/{caseIdentifierUUID}/assessments"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.learningcommons.org/knowledge-graph/v0/academic-standards/{caseIdentifierUUID}/assessments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.learningcommons.org/knowledge-graph/v0/academic-standards/{caseIdentifierUUID}/assessments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.learningcommons.org/knowledge-graph/v0/academic-standards/{caseIdentifierUUID}/assessments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.learningcommons.org/knowledge-graph/v0/academic-standards/{caseIdentifierUUID}/assessments")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.learningcommons.org/knowledge-graph/v0/academic-standards/{caseIdentifierUUID}/assessments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"identifier": "im:5f1b43a3-a087-5f15-8e0e-b5dd3d2d3d23",
"name": "End-of-Unit Assessment",
"author": "Illustrative Mathematics",
"provider": "Learning Commons",
"license": "https://creativecommons.org/licenses/by-nc/4.0/",
"attributionStatement": "Knowledge Graph is provided by Learning Commons under the CC BY-4.0 license. Learning Commons received the scope and sequence of the Illustrative Mathematics 360 curriculum under CC BY-4.0 from Illustrative Mathematics."
},
{
"identifier": "im:b98c7782-3cb1-5198-8ebe-aab294d9227b",
"name": "End-of-Unit Assessment",
"author": "Illustrative Mathematics",
"provider": "Learning Commons",
"license": "https://creativecommons.org/licenses/by-nc/4.0/",
"attributionStatement": "Knowledge Graph is provided by Learning Commons under the CC BY-4.0 license. Learning Commons received the scope and sequence of the Illustrative Mathematics 360 curriculum under CC BY-4.0 from Illustrative Mathematics."
}
],
"pagination": {
"limit": 100,
"nextCursor": null,
"hasMore": false
}
}{
"error": "UnauthorizedError",
"message": "Missing or invalid bearer token",
"requestId": "req_12345"
}{
"error": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}Assessments for a standard
Fetches summary information for all assessments that evaluate a specific academic standard.
Returns assessment summaries (identifier, name) that are aligned to this standard, indicating which assessments measure student achievement of this learning expectation.
Use this endpoint when you need to:
- Find all assessments that evaluate a specific standard
- Build standards-based assessment systems
- Track which standards are assessed
- Generate assessment coverage reports
GET
/
academic-standards
/
{caseIdentifierUUID}
/
assessments
Assessments for a standard
curl --request GET \
--url https://api.learningcommons.org/knowledge-graph/v0/academic-standards/{caseIdentifierUUID}/assessments \
--header 'x-api-key: <api-key>'import requests
url = "https://api.learningcommons.org/knowledge-graph/v0/academic-standards/{caseIdentifierUUID}/assessments"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.learningcommons.org/knowledge-graph/v0/academic-standards/{caseIdentifierUUID}/assessments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.learningcommons.org/knowledge-graph/v0/academic-standards/{caseIdentifierUUID}/assessments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.learningcommons.org/knowledge-graph/v0/academic-standards/{caseIdentifierUUID}/assessments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.learningcommons.org/knowledge-graph/v0/academic-standards/{caseIdentifierUUID}/assessments")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.learningcommons.org/knowledge-graph/v0/academic-standards/{caseIdentifierUUID}/assessments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"identifier": "im:5f1b43a3-a087-5f15-8e0e-b5dd3d2d3d23",
"name": "End-of-Unit Assessment",
"author": "Illustrative Mathematics",
"provider": "Learning Commons",
"license": "https://creativecommons.org/licenses/by-nc/4.0/",
"attributionStatement": "Knowledge Graph is provided by Learning Commons under the CC BY-4.0 license. Learning Commons received the scope and sequence of the Illustrative Mathematics 360 curriculum under CC BY-4.0 from Illustrative Mathematics."
},
{
"identifier": "im:b98c7782-3cb1-5198-8ebe-aab294d9227b",
"name": "End-of-Unit Assessment",
"author": "Illustrative Mathematics",
"provider": "Learning Commons",
"license": "https://creativecommons.org/licenses/by-nc/4.0/",
"attributionStatement": "Knowledge Graph is provided by Learning Commons under the CC BY-4.0 license. Learning Commons received the scope and sequence of the Illustrative Mathematics 360 curriculum under CC BY-4.0 from Illustrative Mathematics."
}
],
"pagination": {
"limit": 100,
"nextCursor": null,
"hasMore": false
}
}{
"error": "UnauthorizedError",
"message": "Missing or invalid bearer token",
"requestId": "req_12345"
}{
"error": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}Query Parameters
Was this page helpful?